## barada-pam 0.5

=== debian/changelog ===
barada-pam (0.5-3.3build3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 18:07:28 +0100

barada-pam (0.5-3.3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:42:12 +0000

barada-pam (0.5-3.3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:26:51 +0000

barada-pam (0.5-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install aliased files into /usr (DEP17 M2)
  * Install PAM module into multiarch path.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Jan 2024 19:54:45 +0100

barada-pam (0.5-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - Closes: #965434

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Tue, 29 Mar 2022 14:08:27 -0300

barada-pam (0.5-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update patch to really fix FTBFS with gold or ld --no-add-needed
    (Closes: #615696)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 31 May 2012 18:54:17 +0100

barada-pam (0.5-3) unstable; urgency=low

  * debian/rules: add build-{arch,indep} targets
  * debian/rules: substituted deprecated dh_clean -k call for dh_prep

 -- Andrew Pollock <apollock@debian.org>  Sun, 12 Feb 2012 23:22:36 -0800

barada-pam (0.5-2) unstable; urgency=low

  * Convert to 3.0 (quilt) source format
  * debian/control: bump Standards-Version (no changes)
  * Add patch from Andreas Moog to fix FTBFS with gold or ld --no-add-needed
    (closes: #615696)

 -- Andrew Pollock <apollock@debian.org>  Wed, 25 May 2011 21:59:46 -0700

barada-pam (0.5-1) unstable; urgency=low

  * Initial release (Closes: #564820)

 -- Andrew Pollock <apollock@debian.org>  Tue, 16 Feb 2010 21:13:26 -0800
