## barada-pam 0.5.3

=== debian/changelog ===
barada-pam (0.5.3-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:06:53 +0200

barada-pam (0.5.3-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:56:31 +0200

barada-pam (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian/ team on Salsa
  * Fix watch file
  * d/rules: short dh
  * Build nicely with hardening flags set
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Update lintian override info format in d/libpam-barada.lintian-overrides
  * Use secure URI in Homepage field.
  * Remove field Section on binary package libpam-barada that duplicates source
  * New upstream source is featuring manpages
  * d/copyright: DEP5
  * Add upstream docs
  * Section: s/libs/admin/
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2025 11:29:34 +0100
