=== debian/control ===
--- 
+++ 
@@ -1,16 +1,21 @@
 Source: barada-pam
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andrew Pollock <apollock@debian.org>
-Build-Depends: debhelper-compat (= 13), autotools-dev, libboost-serialization-dev, libpam-dev, libssl-dev, libboost-filesystem-dev
-Standards-Version: 3.9.2
-Section: libs
-Homepage: http://barada.sourceforge.net/
+Maintainer: Andrew Pollock <apollock@debian.org>
+Section: admin
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               libboost-serialization-dev,
+               libpam-dev,
+               libssl-dev,
+               libboost-filesystem-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian/barada-pam
+Vcs-Git: https://salsa.debian.org/debian/barada-pam.git
+Homepage: https://barada.sourceforge.net/
 
 Package: libpam-barada
-Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: PAM module to provide two-factor authentication based on HOTP
  Use HOTP (RFC4226) two-factor authentication with PAM.
  .
