=== debian/watch ===
version=4

https://sf.net/barada/barada-pam-(.*)\.tar\.gz
